io.etcd.jetcd.api

## Interface AuthRoleDeleteRequestOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  AuthRoleDeleteRequest, AuthRoleDeleteRequest.Builder

    public interface AuthRoleDeleteRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getRole()` `string role = 1;`
`com.google.protobuf.ByteString` `getRoleBytes()` `string role = 1;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getRole

    String getRole()

`string role = 1;`

Returns:
  The role.

#### getRoleBytes

    com.google.protobuf.ByteString getRoleBytes()

`string role = 1;`

Returns:
  The bytes for role.